// List.h

#ifndef __LIST_H
#define __LIST_H

#include "Common/Wildcard.h"
#include "../Common/LoadCodecs.h"

HRESULT ListArchives(CCodecs *codecs, const CIntVector &formatIndices,
    bool stdInMode,
    UStringVector &archivePaths, UStringVector &archivePathsFull,
    const NWildcard::CCensorNode &wildcardCensor,
    bool enableHeaders, bool techMode,
    #ifndef _NO_CRYPTO
    bool &passwordEnabled, UString &password,
    #endif
    UInt64 &errors);

HRESULT ListArchives(CCodecs *codecs, const CIntVector &formatIndices,
    bool stdInMode,
    UString arcPath, 
    #ifndef _NO_CRYPTO
    bool &passwordEnabled, UString &password,
    #endif
	UStringVector &results,
    UInt64 &numErrors);

HRESULT FileSize(CCodecs *codecs, const CIntVector &formatIndices,
    bool stdInMode,
    UString arcPath, 
    UString file, 
    #ifndef _NO_CRYPTO
    bool &passwordEnabled, UString &password,
    #endif
	UInt64 &results,
    UInt64 &numErrors);
#endif

